Groups
Create Group
Use this method to create a log group where you can scope the data that is accessible by members in that group.
POST
/
v1
/
config
/
groups
Create Group
curl --request POST \
--url https://api.mezmo.com/v1/config/groups \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'servicekey: <servicekey>' \
--data '
{
"name": "<string>",
"accessScopes": "<string>"
}
'import requests
url = "https://api.mezmo.com/v1/config/groups"
payload = {
"name": "<string>",
"accessScopes": "<string>"
}
headers = {
"servicekey": "<servicekey>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
servicekey: '<servicekey>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', accessScopes: '<string>'})
};
fetch('https://api.mezmo.com/v1/config/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}This response has no body data.Authorizations
AccessTokenservicekeyAuth
This key is used for all apis with the exception of ingest. You can obtain it following
these instructions and placing
the key in the header of your call in the format of Authorization: Token {accesstoken}
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
Headers
A provisioned service key for your account.
Body
application/json
Request parameters
Response
OK
⌘I
Create Group

